Subject: bug#15721: closed (Re: bug#15721: 24.3; Error in post-command-hook (flyspell-post-command-hook): (wrong-type-argument integer-or-marker-p nil))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 Jan 2020 05:36:02 +0000

Your bug report

#15721: 24.3; Error in post-command-hook (flyspell-post-command-hook): (wrong-type-argument integer-or-marker-p nil)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15721: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15721
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15721: 24.3; Error in post-command-hook (flyspell-post-command-hook): (wrong-type-argument integer-or-marker-p nil)
From: Stefan Kangas <[email-masked]>
To: Leo Liu <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Jan 2020 06:35:35 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> tags 15721 + moreinfo
> quit
>
> Leo Liu <[email-masked]> writes:
>
>> I got this from time to time:
>>
>>         Error in post-command-hook (flyspell-post-command-hook):
>>         (wrong-type-argument integer-or-marker-p nil)
>>
>> But I don't know how to reproduce it reliably. So I put in this form
>>
>>       (unless (numberp flyspell-pre-point)
>>                 (message "DEBUG-flyspell-pre-point: %S" flyspell-pre-point))
>>
>> before (goto-char flyspell-pre-point) in flyspell-post-command-hook.
>>
>> This is what is in *Messages* when the error happened:
>> DEBUG-flyspell-pre-point: nil
>>
>> So it seems flyspell-post-command-hook needs to check current buffer is
>> flyspell-pre-buffer. But I am not totally sure.
>
> Do you have a recipe for reproducing this, starting from "emacs -Q"?

More information was requested, but none was given within 15 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas

Subject: 24.3; Error in post-command-hook (flyspell-post-command-hook): (wrong-type-argument integer-or-marker-p nil)
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Sat, 26 Oct 2013 15:12:33 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I got this from time to time:

        Error in post-command-hook (flyspell-post-command-hook):
        (wrong-type-argument integer-or-marker-p nil)

But I don't know how to reproduce it reliably. So I put in this form

      (unless (numberp flyspell-pre-point)
                (message "DEBUG-flyspell-pre-point: %S" flyspell-pre-point))

before (goto-char flyspell-pre-point) in flyspell-post-command-hook.

This is what is in *Messages* when the error happened:
DEBUG-flyspell-pre-point: nil

So it seems flyspell-post-command-hook needs to check current buffer is
flyspell-pre-buffer. But I am not totally sure.

Leo